_G.VET = _G.VET or {}
VET._path = ModPath
VET._data_path = SavePath .. "vet_data.txt"
VET._data = {}

function VET:Save()
	local file = io.open( self._data_path, "w+" )
	if file then
		file:write( json.encode( self._data ) )
		file:close()
	end
end

function VET:Load()
	local file = io.open( self._data_path, "r" )
	if file then
		self._data = json.decode( file:read("*all") )
		file:close()
	end
end

Hooks:Add("LocalizationManagerPostInit", "LocalizationManagerPostInit_VET", function( loc )
	loc:load_localization_file( VET._path .. "en.txt")
end)

Hooks:Add( "MenuManagerInitialize", "MenuManagerInitialize_VET", function( menu_manager )
	MenuCallbackHandler.callback_time_slider = function(self, item)
		VET._data.time = item:value()
		VET:Save()
	end
	VET:Load()
	MenuHelper:LoadFromJsonFile( VET._path .. "menu.txt", VET, VET._data )
end )

VET:Load()

if RequiredScript == "lib/units/equipment/ecm_jammer/ecmjammerbase" then
	local old_init = ECMJammerBase.init
	function ECMJammerBase:init(...)
		old_init(self, ...)
		self._low_battery_life = VET._data.time or self._low_battery_life
	end
	local old_set = ECMJammerBase._set_battery_low
	function ECMJammerBase:_set_battery_low(...)
		old_set(self, ...)
		local local_player = managers.player:local_player()
		if alive(local_player) then
			local_player:sound():say("g67", true)
		end
	end
end